#ifndef _H_BD1D0F6F908CE246569B9A90A88F975B_Patrol__H_
#define _H_BD1D0F6F908CE246569B9A90A88F975B_Patrol__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"


namespace turtlebot3_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  Patrol_Goal_
            {
                ::DDS::Float radius_;
            };

            typedef DDS_DCPSStruct_var<Patrol_Goal_> Patrol_Goal__var;
            typedef Patrol_Goal_& Patrol_Goal__out;

            struct  Patrol_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::turtlebot3_msgs::action::dds_::Patrol_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<Patrol_SendGoal_Request_> Patrol_SendGoal_Request__var;
            typedef Patrol_SendGoal_Request_& Patrol_SendGoal_Request__out;

            struct  Patrol_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<Patrol_SendGoal_Response_> Patrol_SendGoal_Response__var;
            typedef Patrol_SendGoal_Response_& Patrol_SendGoal_Response__out;

            struct  Sample_Patrol_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::turtlebot3_msgs::action::dds_::Patrol_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Patrol_SendGoal_Request_> Sample_Patrol_SendGoal_Request__var;
            typedef Sample_Patrol_SendGoal_Request_& Sample_Patrol_SendGoal_Request__out;

            struct  Sample_Patrol_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::turtlebot3_msgs::action::dds_::Patrol_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Patrol_SendGoal_Response_> Sample_Patrol_SendGoal_Response__var;
            typedef Sample_Patrol_SendGoal_Response_& Sample_Patrol_SendGoal_Response__out;

            struct  Patrol_Result_
            {
                ::DDS::Boolean success_;
            };

            typedef DDS_DCPSStruct_var<Patrol_Result_> Patrol_Result__var;
            typedef Patrol_Result_& Patrol_Result__out;

            struct  Patrol_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<Patrol_GetResult_Request_> Patrol_GetResult_Request__var;
            typedef Patrol_GetResult_Request_& Patrol_GetResult_Request__out;

            struct  Patrol_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::turtlebot3_msgs::action::dds_::Patrol_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<Patrol_GetResult_Response_> Patrol_GetResult_Response__var;
            typedef Patrol_GetResult_Response_& Patrol_GetResult_Response__out;

            struct  Sample_Patrol_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::turtlebot3_msgs::action::dds_::Patrol_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Patrol_GetResult_Request_> Sample_Patrol_GetResult_Request__var;
            typedef Sample_Patrol_GetResult_Request_& Sample_Patrol_GetResult_Request__out;

            struct  Sample_Patrol_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::turtlebot3_msgs::action::dds_::Patrol_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Patrol_GetResult_Response_> Sample_Patrol_GetResult_Response__var;
            typedef Sample_Patrol_GetResult_Response_& Sample_Patrol_GetResult_Response__out;

            struct  Patrol_Feedback_
            {
                ::DDS::Float left_time_;
            };

            typedef DDS_DCPSStruct_var<Patrol_Feedback_> Patrol_Feedback__var;
            typedef Patrol_Feedback_& Patrol_Feedback__out;

            struct  Patrol_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::turtlebot3_msgs::action::dds_::Patrol_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<Patrol_FeedbackMessage_> Patrol_FeedbackMessage__var;
            typedef Patrol_FeedbackMessage_& Patrol_FeedbackMessage__out;

        }

    }

}

#endif /* _H_BD1D0F6F908CE246569B9A90A88F975B_Patrol__H_ */
